Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.metal
Class MetalFileChooserUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.FileChooserUI
                  |
                  +--javax.swing.plaf.basic.BasicFileChooserUI
                        |
                        +--javax.swing.plaf.metal.MetalFileChooserUI

public class MetalFileChooserUI
extends BasicFileChooserUI

Basic L&F implementation of a FileChooser.

Inner Class Summary
`protected class` | `MetalFileChooserUI.DirectoryComboBoxAction` Acts when DirectoryComboBox has changed the selected item.
`protected class` | `MetalFileChooserUI.DirectoryComboBoxModel` Data model for a type-face selection combo-box.
`protected class` | `MetalFileChooserUI.FileRenderer`
`protected class` | `MetalFileChooserUI.FilterComboBoxModel` Data model for a type-face selection combo-box.
`class` | `MetalFileChooserUI.FilterComboBoxRenderer` Render different type sizes and styles.
`protected class` | `MetalFileChooserUI.SingleClickListener`

Inner classes inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`BasicFileChooserUI.AcceptAllFileFilter, BasicFileChooserUI.ApproveSelectionAction, BasicFileChooserUI.BasicFileView, BasicFileChooserUI.CancelSelectionAction, BasicFileChooserUI.ChangeToParentDirectoryAction, BasicFileChooserUI.DoubleClickListener, BasicFileChooserUI.GoHomeAction, BasicFileChooserUI.NewFolderAction, BasicFileChooserUI.SelectionListener, BasicFileChooserUI.UpdateAction`

Fields inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`cancelButtonMnemonic, cancelButtonText, cancelButtonToolTipText, computerIcon, detailsViewIcon, directoryIcon, fileIcon, floppyDriveIcon, hardDriveIcon, helpButtonMnemonic, helpButtonText, helpButtonToolTipText, homeFolderIcon, listViewIcon, newFolderIcon, openButtonMnemonic, openButtonText, openButtonToolTipText, saveButtonMnemonic, saveButtonText, saveButtonToolTipText, updateButtonMnemonic, updateButtonText, updateButtonToolTipText, upFolderIcon`

Constructor Summary
`MetalFileChooserUI(JFileChooser filechooser)`

Method Summary
`protected MetalFileChooserUI.DirectoryComboBoxModel` | `createDirectoryComboBoxModel(JFileChooser fc)`
`protected javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxRenderer` | `createDirectoryComboBoxRenderer(JFileChooser fc)`
`protected MetalFileChooserUI.FilterComboBoxModel` | `createFilterComboBoxModel()`
`protected MetalFileChooserUI.FilterComboBoxRenderer` | `createFilterComboBoxRenderer()`
`protected JPanel` | `createList(JFileChooser fc)`
`java.beans.PropertyChangeListener` | `createPropertyChangeListener(JFileChooser fc)`
`static ComponentUI` | `createUI(JComponent c)`
`void` | `ensureFileIsVisible(JFileChooser fc, java.io.File f)`
`protected JButton` | `getApproveButton(JFileChooser fc)`
`java.lang.String` | `getDirectoryName()`
`java.lang.String` | `getFileName()`
`java.awt.Dimension` | `getMaximumSize(JComponent c)`
`java.awt.Dimension` | `getMinimumSize(JComponent c)`
`java.awt.Dimension` | `getPreferredSize(JComponent c)`
`void` | `installComponents(JFileChooser fc)`
`protected void` | `installStrings(JFileChooser fc)`
`void` | `rescanCurrentDirectory(JFileChooser fc)`
`void` | `setDirectoryName(java.lang.String dirname)`
`void` | `setFileName(java.lang.String filename)`
`void` | `uninstallUI(JComponent c)`
`void` | `valueChanged(ListSelectionEvent e)`

Methods inherited from class javax.swing.plaf.basic.BasicFileChooserUI
`clearIconCache, createDoubleClickListener, createListSelectionListener, createModel, getAcceptAllFileFilter, getAccessoryPanel, getApproveButtonMnemonic, getApproveButtonText, getApproveButtonToolTipText, getApproveSelectionAction, getCancelSelectionAction, getChangeToParentDirectoryAction, getDialogTitle, getFileChooser, getFileView, getGoHomeAction, getModel, getNewFolderAction, getUpdateAction, installDefaults, installIcons, installListeners, installUI, uninstallComponents, uninstallDefaults, uninstallIcons, uninstallListeners, uninstallStrings`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, paint, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetalFileChooserUI

    public MetalFileChooserUI(JFileChooser filechooser)

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

### installComponents

    public void installComponents(JFileChooser fc)

  Overrides:
    installComponents in class BasicFileChooserUI

### installStrings

    protected void installStrings(JFileChooser fc)

  Overrides:
    installStrings in class BasicFileChooserUI

### createList

    protected JPanel createList(JFileChooser fc)

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    uninstallUI in class BasicFileChooserUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent c)

  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent c)

  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent c)

  Overrides:
    getMaximumSize in class ComponentUI

### createPropertyChangeListener

    public java.beans.PropertyChangeListener createPropertyChangeListener(JFileChooser fc)

  Overrides:
    createPropertyChangeListener in class BasicFileChooserUI

### ensureFileIsVisible

    public void ensureFileIsVisible(JFileChooser fc,
                                    java.io.File f)

  Overrides:
    ensureFileIsVisible in class BasicFileChooserUI

### rescanCurrentDirectory

    public void rescanCurrentDirectory(JFileChooser fc)

  Overrides:
    rescanCurrentDirectory in class BasicFileChooserUI

### getFileName

    public java.lang.String getFileName()

  Overrides:
    getFileName in class BasicFileChooserUI

### setFileName

    public void setFileName(java.lang.String filename)

  Overrides:
    setFileName in class BasicFileChooserUI

### getDirectoryName

    public java.lang.String getDirectoryName()

  Overrides:
    getDirectoryName in class BasicFileChooserUI

### setDirectoryName

    public void setDirectoryName(java.lang.String dirname)

  Overrides:
    setDirectoryName in class BasicFileChooserUI

### createDirectoryComboBoxRenderer

    protected javax.swing.plaf.metal.MetalFileChooserUI.DirectoryComboBoxRenderer createDirectoryComboBoxRenderer(JFileChooser fc)

### createDirectoryComboBoxModel

    protected MetalFileChooserUI.DirectoryComboBoxModel createDirectoryComboBoxModel(JFileChooser fc)

### createFilterComboBoxRenderer

    protected MetalFileChooserUI.FilterComboBoxRenderer createFilterComboBoxRenderer()

### createFilterComboBoxModel

    protected MetalFileChooserUI.FilterComboBoxModel createFilterComboBoxModel()

### valueChanged

    public void valueChanged(ListSelectionEvent e)

### getApproveButton

    protected JButton getApproveButton(JFileChooser fc)

  Overrides:
    getApproveButton in class BasicFileChooserUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.